Skip to content
Twexapi
English
Esc
navigateopen⌘Jpreview

Get Following Task Status

Check progress of a large following task. status: pending | running | done | error.

Back to API Reference
/Followers & Following Endpoints
GET/twitter/following/task/{task_id}/status
Authorization
AuthorizationBearer token · headerrequired
Global API Bearer Token for TwexAPI. Included as: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Path Parameters
task_idstringrequired
task_id returned when submitting a large following request
Responses
200Successful Response
codeintegerrequired
HTTP status code
msgstringrequired
Response message
dataany
Response data
Show properties
Any of:
any
any
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Interactive ConsoleGET
Interactive Console / Try APIGET
Live Console
🌐Target Server:https://api.twexapi.io
● Production Ready
🔍
Public Data Read (TwexAPI Key Only, No Twitter Cookie Required)

This endpoint queries public Twitter data — no Twitter account or Cookie required! Simply enter your TwexAPI Platform Key (Bearer Token) in the "API Authorization" section below to test.

🔑API Authorization
⚙️Parameters (1)
📡
No Response Yet

Configure parameters in the Request tab and click Send Request below.

Request
curl -X GET "https://api.twexapi.io/twitter/following/task/string/status" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "code": 200,
  "msg": "success",
  "data": {}
}